#include "FluidParameters.h"

namespace GpuThesis {

float FluidParameters::getDiffusion() const
{
	return diffusion;
}

void FluidParameters::setDiffusion(float diffusion)
{
	this->diffusion = diffusion;
	updateDiffusion(diffusion);
}

float FluidParameters::getViscosity() const
{
	return viscosity;
}

void FluidParameters::setViscosity(float viscosity)
{
	this->viscosity = viscosity;
	updateViscosity(viscosity);
}

float FluidParameters::getVorticity() const
{
	return vorticity;
}

void FluidParameters::setVorticity(float vorticity)
{
	this->vorticity = vorticity;
	updateVorticity(vorticity);
}

unsigned int FluidParameters::getJacobiSteps() const
{
	return jacobiSteps;
}

void FluidParameters::setJacobiSteps(unsigned int jacobiSteps)
{
	this->jacobiSteps = jacobiSteps;
	updateJacobiSteps(jacobiSteps);
}

}
