#include "Events.h"

#include "EventHandlerImpl.h"

namespace SDL {
	
EventHandler::EventHandler(bool repeat) : impl(new EventHandlerImpl(repeat))
{
}



EventHandler::~EventHandler()
{
}



void EventHandler::handleEvents(float timedelta)
{
	impl->handleEvents(this, timedelta);
}


bool EventHandler::isPressed(unsigned char key) const
{
	return impl->isPressed(key);
}

}

