#ifndef SIMPLEXML_XMLNODEWRAPPER_H
#define SIMPLEXML_XMLNODEWRAPPER_H

#include <string>

namespace SimpleXml {

class XmlNode;

class XmlNodeWrapper {
public:
	XmlNodeWrapper(XmlNode *node);
	XmlNodeWrapper getFirstChild();
	XmlNodeWrapper getFirstChild(const std::string &nodeName);
	XmlNode* getNode();

private:
	XmlNode *node;
};

}

#endif