#ifndef GEOMETRY_MODEL_H
#define GEOMETRY_MODEL_H

#include <set>
#include <vector>

#include "Mesh.h"

namespace Geometry {

class Model {
public:
	std::vector<Mesh> meshes;

	void render();
	void render(const std::vector<unsigned int> &meshes);
	void render(const std::set<unsigned int> &ignoreMeshes);

	unsigned int getVertexCount() const;
};

}

#endif