#include "OrthoNormalProjection.h"

#include "OpenGL.h"

namespace OpenGL {

OrthoNormalProjection::OrthoNormalProjection()
{
	glMatrixMode(GL_PROJECTION);
	glPushMatrix();
	glLoadIdentity();
	gluOrtho2D(0, 1, 0, 1);

	glMatrixMode(GL_MODELVIEW);
	glPushMatrix();
	glLoadIdentity();
}


OrthoNormalProjection::~OrthoNormalProjection()
{
	glMatrixMode(GL_MODELVIEW);
	glPopMatrix();

	glMatrixMode(GL_PROJECTION);
	glPopMatrix();
}

}
