#ifndef OPENGL_ORTHONORMALPROJECTION_H
#define OPENGL_ORTHONORMALPROJECTION_H

namespace OpenGL {

/**
 * Orthonormal projection class.
 * Sets the OpenGL projection matrix to orthonormal,
 * and modelview matrix to identity.
 * Resets to previous values upon destruction.
 */
class OrthoNormalProjection {
public:
	OrthoNormalProjection();
	~OrthoNormalProjection();
};

}

#endif