#include "XmlNodeWrapper.h"

#include "XmlNode.h"

namespace SimpleXml {

XmlNodeWrapper::XmlNodeWrapper(XmlNode *node) :
	node(node)
{
}

XmlNodeWrapper XmlNodeWrapper::getFirstChild()
{
	if (node) {
		return XmlNodeWrapper(node->getFirstChild());
	} else
		return XmlNodeWrapper(0);
}

XmlNodeWrapper XmlNodeWrapper::getFirstChild(const std::string &nodeName)
{
	if (node) {
		return XmlNodeWrapper(node->getFirstChild(nodeName));
	} else
		return XmlNodeWrapper(0);
}

XmlNode* XmlNodeWrapper::getNode()
{
	return node;
}

}
